# Abrechnungsregeln zu Aktivitäten

Abrechnungsregeln zu CRM Aktivitäten

## GET /erp/crm-activities/billing-rules/{id}

> Find an existing Resource by identifier

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Abrechnungsregeln zu Aktivitäten","description":"Abrechnungsregeln zu CRM Aktivitäten"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/erp/crm-activities/billing-rules/{id}":{"get":{"tags":["Abrechnungsregeln zu Aktivitäten"],"summary":"Find an existing Resource by identifier","operationId":"getById_67","parameters":[{"name":"id","in":"path","description":"an identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-crm-CrmActivityBillingRule"}}}},"404":{"description":"Resource with given ID was not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"erp-crm-CrmActivityBillingRule":{"description":"Abrechnungsregeln zu CRM Aktivitäten","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"activityUserRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"activityUserGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"activityType":{"$ref":"#/components/schemas/erp-crm-CrmActivityType"},"billingArticleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}},"required":["activityType","billingArticleRef"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Related account","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Activ","readOnly":true}},"required":["id"]},"erp-crm-CrmActivityType":{"description":"CRM Aktivitätsarten","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"label":{"type":"string","description":"Bezeichnung","maxLength":255,"minLength":0},"description":{"type":"string","description":"Beschreibung"},"sortOrder":{"type":"integer","format":"int32","description":"Sortierreihenfolge"},"defaultBillingType":{"type":"string","description":"Abrechungsart von Aktivitäten","enum":["LIKE_TASK","UNCLEAR","CUSTOMER","INTERNAL","PLANNED"]},"billable":{"type":"boolean","default":false,"description":"Abrechenbar?"},"possibleUsingTypes":{"type":"array","description":"Mögliche Typen, wo diese Aktivitätsart verwendet werden kann","items":{"type":"string","description":"Mögliche Typen, zu denen Aktivitäten erfasst werden können","enum":["ACCOUNT","CRM_DEAL","CRM_PROJECT","CRM_TASK"]}},"defaultForComments":{"type":"boolean","default":false,"description":"Standard für Kommentare?"},"emailArchiving":{"type":"boolean","default":false,"description":"Für \"E-Mail-Archivieren\"?"},"emailProcessing":{"type":"boolean","default":false,"description":"Für \"E-Mail-Bearbeitung\"?"},"active":{"type":"boolean","default":true,"description":"Aktiv?","readOnly":true},"descriptionTemplate":{"type":"string","description":"Text für Aktivitätstyp der im Editor eingetragen wird"},"canBePublished":{"type":"boolean","default":true,"description":"Darf die Aktivität veröffentlicht werden?"}},"required":["label"]},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Zu verwendende Search-Dialogs","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Zu verwendende Search-Dialogs","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Schlüssel für das Ergebnis vom Search-Dialog","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search-Dialog"}}}}
```

## PUT /erp/crm-activities/billing-rules/{id}

> Update existing Resource&#x20;

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Abrechnungsregeln zu Aktivitäten","description":"Abrechnungsregeln zu CRM Aktivitäten"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/erp/crm-activities/billing-rules/{id}":{"put":{"tags":["Abrechnungsregeln zu Aktivitäten"],"summary":"Update existing Resource ","operationId":"update_61","parameters":[{"name":"id","in":"path","description":"an identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-crm-CrmActivityBillingRule"}}},"required":true},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-crm-CrmActivityBillingRule"}}}},"404":{"description":"Resource was not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}},"422":{"description":"Resource was not valid to process","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"erp-crm-CrmActivityBillingRule":{"description":"Abrechnungsregeln zu CRM Aktivitäten","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"activityUserRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"activityUserGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"activityType":{"$ref":"#/components/schemas/erp-crm-CrmActivityType"},"billingArticleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}},"required":["activityType","billingArticleRef"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Related account","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Activ","readOnly":true}},"required":["id"]},"erp-crm-CrmActivityType":{"description":"CRM Aktivitätsarten","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"label":{"type":"string","description":"Bezeichnung","maxLength":255,"minLength":0},"description":{"type":"string","description":"Beschreibung"},"sortOrder":{"type":"integer","format":"int32","description":"Sortierreihenfolge"},"defaultBillingType":{"type":"string","description":"Abrechungsart von Aktivitäten","enum":["LIKE_TASK","UNCLEAR","CUSTOMER","INTERNAL","PLANNED"]},"billable":{"type":"boolean","default":false,"description":"Abrechenbar?"},"possibleUsingTypes":{"type":"array","description":"Mögliche Typen, wo diese Aktivitätsart verwendet werden kann","items":{"type":"string","description":"Mögliche Typen, zu denen Aktivitäten erfasst werden können","enum":["ACCOUNT","CRM_DEAL","CRM_PROJECT","CRM_TASK"]}},"defaultForComments":{"type":"boolean","default":false,"description":"Standard für Kommentare?"},"emailArchiving":{"type":"boolean","default":false,"description":"Für \"E-Mail-Archivieren\"?"},"emailProcessing":{"type":"boolean","default":false,"description":"Für \"E-Mail-Bearbeitung\"?"},"active":{"type":"boolean","default":true,"description":"Aktiv?","readOnly":true},"descriptionTemplate":{"type":"string","description":"Text für Aktivitätstyp der im Editor eingetragen wird"},"canBePublished":{"type":"boolean","default":true,"description":"Darf die Aktivität veröffentlicht werden?"}},"required":["label"]},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Zu verwendende Search-Dialogs","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Zu verwendende Search-Dialogs","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Schlüssel für das Ergebnis vom Search-Dialog","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search-Dialog"}}}}
```

## DELETE /erp/crm-activities/billing-rules/{id}

> Delete an existing Resource

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Abrechnungsregeln zu Aktivitäten","description":"Abrechnungsregeln zu CRM Aktivitäten"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/erp/crm-activities/billing-rules/{id}":{"delete":{"tags":["Abrechnungsregeln zu Aktivitäten"],"summary":"Delete an existing Resource","operationId":"delete_57","parameters":[{"name":"id","in":"path","description":"an identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-api-OperationMessage"}}}},"404":{"description":"Resource was not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}},"409":{"description":"unable to delete Resource, due to constraints, existing references or internal state","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-api-OperationMessage"}}}}}}}},"components":{"schemas":{"core-api-OperationMessage":{"properties":{"context":{"type":"string","description":"message context"},"messageValue":{"type":"string","description":" message"}}},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Zu verwendende Search-Dialogs","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Zu verwendende Search-Dialogs","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Schlüssel für das Ergebnis vom Search-Dialog","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search-Dialog"}}}}
```

## POST /erp/crm-activities/billing-rules

> Create new Resource

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Abrechnungsregeln zu Aktivitäten","description":"Abrechnungsregeln zu CRM Aktivitäten"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/erp/crm-activities/billing-rules":{"post":{"tags":["Abrechnungsregeln zu Aktivitäten"],"summary":"Create new Resource","operationId":"create_57","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-crm-CrmActivityBillingRule"}}},"required":true},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-crm-CrmActivityBillingRule"}}}},"422":{"description":"Resource was not valid to process","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"erp-crm-CrmActivityBillingRule":{"description":"Abrechnungsregeln zu CRM Aktivitäten","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"activityUserRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"activityUserGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"activityType":{"$ref":"#/components/schemas/erp-crm-CrmActivityType"},"billingArticleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}},"required":["activityType","billingArticleRef"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Related account","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Activ","readOnly":true}},"required":["id"]},"erp-crm-CrmActivityType":{"description":"CRM Aktivitätsarten","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"label":{"type":"string","description":"Bezeichnung","maxLength":255,"minLength":0},"description":{"type":"string","description":"Beschreibung"},"sortOrder":{"type":"integer","format":"int32","description":"Sortierreihenfolge"},"defaultBillingType":{"type":"string","description":"Abrechungsart von Aktivitäten","enum":["LIKE_TASK","UNCLEAR","CUSTOMER","INTERNAL","PLANNED"]},"billable":{"type":"boolean","default":false,"description":"Abrechenbar?"},"possibleUsingTypes":{"type":"array","description":"Mögliche Typen, wo diese Aktivitätsart verwendet werden kann","items":{"type":"string","description":"Mögliche Typen, zu denen Aktivitäten erfasst werden können","enum":["ACCOUNT","CRM_DEAL","CRM_PROJECT","CRM_TASK"]}},"defaultForComments":{"type":"boolean","default":false,"description":"Standard für Kommentare?"},"emailArchiving":{"type":"boolean","default":false,"description":"Für \"E-Mail-Archivieren\"?"},"emailProcessing":{"type":"boolean","default":false,"description":"Für \"E-Mail-Bearbeitung\"?"},"active":{"type":"boolean","default":true,"description":"Aktiv?","readOnly":true},"descriptionTemplate":{"type":"string","description":"Text für Aktivitätstyp der im Editor eingetragen wird"},"canBePublished":{"type":"boolean","default":true,"description":"Darf die Aktivität veröffentlicht werden?"}},"required":["label"]},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Zu verwendende Search-Dialogs","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Zu verwendende Search-Dialogs","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Schlüssel für das Ergebnis vom Search-Dialog","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search-Dialog"}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.vario-software.de/api-reference/abrechnungsregeln-zu-aktivitaten.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
